%define major	2
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		unittest-cpp
Version:	2.0.0
Release:	%mkrel 5
Summary:	Lightweight unit testing framework for C++
License:	MIT
Group:		System/Libraries
URL:		https://github.com/unittest-cpp/unittest-cpp
Source0:	https://github.com/unittest-cpp/unittest-cpp/releases/download/v%{version}/%{name}-%{version}.tar.gz
# documentation from 1.4 tarball: docs/UnitTest++.html
Source1:	%{name}.html
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel

%description
%{name} is a lightweight unit testing framework for C++.
Simplicity, portability, speed, and small footprint are all
very important aspects of %{name}.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
%{name} is a lightweight unit testing framework for C++.
Simplicity, portability, speed, and small footprint are all
very important aspects of %{name}.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Object files for development using %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q

cp -p %{SOURCE1} .

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%check
make check

%files -n %{libname}
%{_libdir}/libUnitTest++.so.%{major}{,.*}

%files -n %{devname}
%doc %{name}.html AUTHORS
%{_includedir}/UnitTest++/
%{_libdir}/libUnitTest++.so
%{_libdir}/pkgconfig/UnitTest++.pc


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.0.0-5.mga10
+ Revision: 2195558
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 2.0.0-4.mga9
+ Revision: 1792385
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1517721
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1301526
- Mageia 7 Mass Rebuild

* Sun Jan 29 2017 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1084079
- new version: 2.0.0
- now libmajor is 2

* Mon Oct 10 2016 daviddavid <daviddavid> 1.6.1-1.mga6
+ Revision: 1059952
- initial package unittest-cpp

